BizKitHub
DocsAPI ReferenceCalendar Event/bff/calendar/event-attendee-add
postCalendar EventAdmin BFF

/bff/calendar/event-attendee-add

Adds people to an existing event using the same contact resolution as event creation. People already on the event are skipped. Newly added people receive the invitation e-mail.

Calendar EventpostBffCalendarEvent-attendee-add

Parameters

JSON body

Request body

application/json
eventIdstringRequired

External event code identifier.

attendeesobject[]Required
Each array item:
memberIdnumberOptional

Organisation member id.

customerIdnumberOptional

Contact id.

namestringRequired

Display name.

emailstringOptional

E-mail (creates the contact when unknown).

phonestringOptional

Phone.

sendInvitebooleanOptional

Send the invitation e-mail to added people (default true).

Response schema

1 status code documented

200Success
successbooleanRequired
addednumberRequired

Number of people actually added.

skippednumberRequired

Already present or not resolvable to a contact.

Response example

application/json
{
  "success": false,
  "added": 0,
  "skipped": 0
}

Request example

POST /bff/calendar/event-attendee-add

post
curl -X POST "https://api.bizkithub.com/bff/calendar/event-attendee-add" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "eventId": "example_eventId",
  "attendees": [
    {
      "memberId": 0,
      "customerId": 0,
      "name": "example_name",
      "email": "example_email",
      "phone": "example_phone"
    }
  ],
  "sendInvite": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key